corda / net.corda.node.utilities.registration

## Package net.corda.node.utilities.registration

### Types

HTTPNetworkRegistrationService | `class HTTPNetworkRegistrationService : NetworkRegistrationService`
NetworkRegistrationHelper | `class NetworkRegistrationHelper` This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using NetworkRegistrationService. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.
NetworkRegistrationService | `interface NetworkRegistrationService`

### Exceptions

CertificateRequestException | `class CertificateRequestException : Exception`